# Copyright (C) 2015 Red Hat, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

%define enable_autotools 1

%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}

%global         package_version 1.1.4

Summary:        oVirt setup common library
Name:           ovirt-setup-lib
Version:        1.1.4
Release:        1%{?release_suffix}%{?dist}
Source0:        http://resources.ovirt.org/pub/ovirt-4.1/src/%{name}/%{name}-%{package_version}.tar.gz
License:        ASL 2.0
Group:          Development/Libraries
BuildArch:      noarch
Url:            http://www.ovirt.org

Requires:       python

Requires:       otopi

BuildRequires:  gettext
BuildRequires:  python2-devel

%if 0%{?enable_autotools}
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gettext-devel
%endif

%description
oVirt setup common library

%prep
%setup -q -n %{name}-%{package_version}

%build
%if 0%{?enable_autotools}
autoreconf -ivf
%endif
%configure \
        --docdir="%{_pkgdocdir}" \
        --disable-python-syntax-check \
        %{?conf}
make %{?_smp_mflags}

%install
make %{?_smp_mflags} install DESTDIR="%{buildroot}"

%clean
rm -rf %{buildroot}

%files
%{python2_sitelib}/ovirt_setup_lib/
%{_pkgdocdir}/*
%doc README.md
%license COPYING


%changelog
* Fri Aug 11 2017 Sandro Bonazzola <sbonazzo@redhat.com> - 1.1.4-1
- Rebased on upstream 1.1.4
- Resolves: BZ#1482375

* Wed Jun  7 2017 Sandro Bonazzola <sbonazzo@redhat.com> - 1.1.3-1
- Rebased on upstream 1.1.3-1

* Tue Jun  6 2017 Sandro Bonazzola <sbonazzo@redhat.com> - 1.1.2-1
- Resolves: BZ#1452243

* Thu May 25 2017 Sandro Bonazzola <sbonazzo@redhat.com> - 1.1.1-1
- Rebased on upstream 1.1.1
- Resolves: BZ#1455431

* Mon Dec 19 2016 Sandro Bonazzola <sbonazzo@redhat.com> - 1.1.0-1
- Rebased on upstream 1.1.0
- Resolves: BZ#1380629

* Fri Sep 30 2016 Sandro Bonazzola <sbonazzo@redhat.com> - 1.1.0-0.0.master
- Dropped EL6 support

* Tue May 31 2016 Sandro Bonazzola <sbonazzo@redhat.com> - 1.0.2-1
- 1.0.2-1

* Tue Dec 22 2015 Sandro Bonazzola <sbonazzo@redhat.com> - 1.0.1-1
- 1.0.1-1
- Resolves: BZ#1293565

* Tue Sep 22 2015 Sandro Bonazzola <sbonazzo@redhat.com> - 1.0.0-1
- 1.0.0-1
- Resolves: BZ#1243266

* Wed Aug 19 2015 Sandro Bonazzola <sbonazzo@redhat.com> - 1.0.0-0.1.master.git6a54bc0
- rebuilt

* Wed Jul 15 2015 Sandro Bonazzola <sbonazzo@redhat.com> - 1.0.0-0.0.master.gitc2382c6
- initial packaging
- doc: https://fedoraproject.org/wiki/Changes/UnversionedDocdirs
- python: https://fedoraproject.org/wiki/Packaging:Python#Macros

